×
Kunena 5.2.4 and Blue eagle 1.6.4 released (04 Apr 2021)

The Kunena team has announce the arrival of Kunena 5.2.4 [K 5.2.4] which is now available for download as a native Joomla extension for J! 3.9.x. This version addresses most of the issues that were discovered in K 5.2 and issues discovered during the development stages of K 5.2.4

REQUIREMENTS
Blue Eagle 1.6.x requires Kunena 5.2.x to work with, this template isn't designed to works with Bootstrap 3 and Bootstrap 4.

Merged If you are having problems with Kunena, please read this first

More
9 years 10 months ago #271 by sozzled
See msg #1 in this topic. It's quite possible that you will have these problems in Firefox (but not in Internet Explorer) depending on what version of Firefox you are using and what version of IE you are using. It is more likely that you will have these issues in IE9 with J! 1.5.22 because the Mootools Javascript library used in that version has implications for IE9. However, as your configuration report indicates you are using J! 1.5.23 this is not likely to be the cause of the issue.

We advise you to read what we've written about using "legacy mode" ; legacy mode is not recommended for today's websites.

Please Log in or Create an account to join the conversation.

More
9 years 10 months ago - 9 years 10 months ago #272 by chgeiselmann
Hi Sozzled,

Thank you for answering so quickly on my question concerning
- unability to edit profiles in Firefox
- bbcode bar not displayed in Firefox

Since everything works fine when I visit the site with IE, I suppose the problem should not be caused by mootools version problems, right?

I have checked system requirements - everything is okay there.
I have checked "debug mode" - I get about 30 lines of error messages, however, they are related to some php code used for my very special main menu (undefined variables); they obviously have nothing to do with the mootools version or DOM
I have given the mootols update plugin the number -1000 in the ordering column, hoping that this will make it used first; right?
I also have altered my joomla template so that I could switch off legacy mode; the site is now running without legacy mode.

But the problems with profile editing and bbcode display in Firefox continue.
My Firefox version is 5.0, but I had the problem also on the last 4.x version.

The same problems occur in Safari 5.0.5. and in Google Chrome 12.0.742.100.

I have not tested all available browsers, but it rather looks like ONLY IE users can edit their profiles and use the bbcode bar. On the other hand, I am writing this posting using a Firefox browser, and I can use the bbcode, and I can update my profile in your Kunena installation.

So, what might be the solution to that???

Thank you,
Kind regards,

Christian Geiselmann
Last edit: 9 years 10 months ago by chgeiselmann. Reason: Information added

Please Log in or Create an account to join the conversation.

More
9 years 10 months ago #273 by sozzled

Since everything works fine when I visit the site with IE, I suppose the problem should not be caused by mootools version problems, right?

Not necessarily. IE9 requires the upgraded Mootools library that is included with J! 1.5.23. IE8 does not.

The issue involving the inability to edit user profiles (i.e. see any information below the "tabs") is a Mootools/Javascript issue. Under normal circumstances, however, if the problem affects FF or Google Chrome, then it should also manifest iteself with Internet Explorer but it also may depend on what other Javascript libraries you are using on your site.

Looking at your website you are using the module mod_swmenufree/transmenu_Packed.js and this may be the reason why you are experiencing your problems. Can you disable this module to see if it is the cause or not?

Please Log in or Create an account to join the conversation.

More
9 years 10 months ago - 9 years 10 months ago #274 by chgeiselmann
Hi Sozzled,

Thanks again for this quick and informed response.

I have switched off the swmenufree module (it was dispensable). Since this had no effect, I deleted to complete menu to which it was assigned (I later had to re-build it). Since all this had no effect, too, I de-installed the complete swmenufree component. But this had no effect, too.

I have also switched off the mootoolsupgade plugin (it is "off" now)

There are still
- the problems with profile editing
- the problem with the bbcode bar
- three error alerts in firebug, namely:

MooTools.upgradeLog is not a function
var MooTools={version:"1.2.5",build:"0...")[1]);b.set("title","");}});}});})();
In: mootools.js (Line 1)

a.implement is not a function
var MooTools={version:"1.2.5",build:"0...")[1]);b.set("title","");}});}});})();
In: mootools.js (Line 1)

Hash.Cookie is not a constructor
var KunenaTabs=new Class({Implements:[...etProperty("autocompleter","off");}});
In: default-min.js (Line 1)

IE version I use is 8.0.6001. (IE is the only browser where everything works, so far.)

There are two other quite "large" extensions on the site, Acymailing and Joomfish.
Initially there was also an alternative forum extension, a more lightweight one, called "Discussions". This last one I uninstalled now, speculating that the conflicts might be caused by this one. However, the situation has remained the same: three error alerts in firefox (on loading the Kunena page), no bbcode, no profile editing.

Any follow-up suggestions what to do now?
I appreciate your care and time,

Kind regards,

Christian Geiselmann

PS: The website concerned is www.formig.net.
The forum is accessible only for registered user.
If you happen to need access in any form - this would not be a problem.
Thanks, C.
Last edit: 9 years 10 months ago by chgeiselmann. Reason: Info added

Please Log in or Create an account to join the conversation.

More
9 years 10 months ago #275 by sozzled
I think your problem, chgeiselmann, falls into the category of Which came first? The template or the forum? Do you, for example, have these issues when you use one of the standard Joomla site templates, like rhuk_milkyway?

IE8 presents its own unique issues but, as you say, you have issues with Firefox, Safari and Google Chrome. I am beginning to suspect that the issues reside within your implementation of Joomla. This is easy enough to confirm if you create a plain, vanilla-flavoured Joomla 1.5.23 website, add nothing else except for K 1.6.4 and you will not have any issues. Therefore, you need to consider what other software you've added that could possibly impact on the correct operation of Joomla's Mootools 1.2.5 Javascript library (as indicated by the error messages that you are currently getting). You might also use Kunena debug mode to see if this highlights any errors (perhaps in conjunction with running Joomla debug mode, too). It may also simply be a case of re-installing K 1.6.4 (see K 1.6 Upgrade Guide) to see if this improves matters - it might simply be a case that you have a corrupted K 1.6.4 implementation. I hope this helps.

Please Log in or Create an account to join the conversation.

More
9 years 10 months ago - 9 years 10 months ago #276 by chgeiselmann
Dear Sozzled,

Thank you for your continuing advice.

We have now, indeed, made a step forward:

As a result of fiddling around with various "vanilla flavoured" alternative templates, I see now:

Indeed, Kunena profile editing etc. does work when I use a "standard" template. The problems appear as soon as I switch on my own genuine template which is more or less home-made.


One thing I want to check yet is whether the problem has to do with my (quite special) main menu (a php instrument named "colour menu"). However, since I have the problem also on another site (www.zelenasofia.org) where "colour menu" is not being used, the problem might be caused by something else.

Since the "try a different template"-test has had this result, I think it is no use any more to make the "install Kunena on a completely maiden-like (=new, virgin, empty, not-tampered-with) joomla installation"-test.


In case you have the time and nerves to help with this issue: I attach the current index.php of my template for the www.formig.net site. (Template is called "Formig", too.) [Don't wonder about the strange file name. In the life installation it is, of course, index.php]

File Attachment:

File Name: index_joom...6-27.zip
File Size:2 KB


Kind regards,

Christian
Attachments:
Last edit: 9 years 10 months ago by chgeiselmann. Reason: Info added

Please Log in or Create an account to join the conversation.

More
9 years 10 months ago #277 by sozzled

However, since I have the problem also on another site (www.zelenasofia.org) where "colour menu" is not being used, the problem might be caused by something else.

The problem is caused by Joomla's Mootools Javascript being clobbered. For example, you might have your own custom version of one of the Mootools .js files (see ../plugins/system/mtupgrade folder); that's one possibility. It's not a PHP thing; it's Javascript.

Please Log in or Create an account to join the conversation.

More
9 years 10 months ago - 9 years 10 months ago #278 by chgeiselmann
Sorry for being so unpresice. Indeed, my main menu uses java script.

But I have now tried what happens when I switch it of (by out-commenting). The piece of code concerned sits at the very top of my template. See:

<!-- <?pi-eidzh-pi
JHTML::_( 'behavior.mootools' );

$menu_colors = $this->params->get("menuColors", "blue,orange,blue2,orange2,green,red,violet");
$menu_type = $this->params->get("menuType", "splitmenu");

require(YOURBASEPATH . DS . "styleloader.php");
$mainframe->set('mcolors', explode(',',$menu_colors));
$mainframe->set('default_color', $default_color);

?> -->


Interestingly, there is no change in the faulty behaviour in Firefox etc. The problems persist.

So, next thing I will do is check all installed components more thorroughly for mootools.

Possible sources of java script interference:
- Component "Linkr"
- Component "Joomfish"
- Component "Joomla Flash Uploader"
- Component "JCE Administration"
- Component "Acymailing"
- Plugins: Many from Acymailing
- Plugin: Content-Linkr
- Plugin: JoomlaFlashUploader
- Plugin: Editor JCE 1.5.7.4.
- Plugin: Editor Button "Linkr"




Question: Would those components have, in one sub-folder, their own mootools.js, and I can just delete this, or what should I do?

Thank you,
Kind regards,

Christian Geiselmann
Last edit: 9 years 10 months ago by chgeiselmann. Reason: List of possible culprits added

Please Log in or Create an account to join the conversation.

More
9 years 10 months ago - 9 years 10 months ago #279 by sozzled

Would those components have, in one sub-folder, their own mootools.js, and I can just delete this, or what should I do?

That's a good question. Again, we have to return to the standard answer that is given in msg #1 of this topic. In effect, many Joomla extensions load their own Javascript libraries. These Javascript libraries may peacefully co-exist with Joomla's Mootools library or they may rip the guts out of Joomla's Mootools library and only you can really decide which is more important to you: the extensions that you're using that don't co-operate with standard Joomla or Kunena (which was designed to work with standard Joomla). Those really are the choices.

A simple way to find out which Javascript library is clobbering Joomla is, for each additional library installed by the extensions you are using, rename the file .js to .js-old. Eventually you will find the .js file that's causing the problem.

For your information, Kunena needs the following three Javascript libraries as a minimum (so, don't rename these files):
../components/com_kunena/js/mediaboxadvanced/js/mediaboxAdv.js
../components/com_kunena/template/default/js/default-min.js
../plugins/system/mtupgrade/mootools.js

BTW, did you actually eliminate all legacy software from your site and therefore can you disable the System - Legacy plugin now?
Last edit: 9 years 10 months ago by sozzled.

Please Log in or Create an account to join the conversation.

More
9 years 10 months ago #280 by TBC
Just keeping you posted... it's not the Modulus Template from RocketThemes as the profile isn't editable in any of the other templates either. Back to looking at plugins and modules (disabling them individually to see if I can locate it)

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.297 seconds